Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.validator.interpolator
Class DefaultMessageInterpolator

    java.lang.Object
      org.hibernate.validator.interpolator.DefaultMessageInterpolator

All Implemented Interfaces:
  Serializable, MessageInterpolator

    public class DefaultMessageInterpolator

extends Object
implements MessageInterpolator, Serializable

Resource bundle based interpolator Also interpolate annotation parameters inside the message

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Constructor Summary
`DefaultMessageInterpolator()`

Method Summary
`String` | `getAnnotationMessage()`
`void` | `initialize(java.lang.annotation.Annotation annotation, MessageInterpolator defaultInterpolator)`
`void` | `initialize(ResourceBundle messageBundle, ResourceBundle defaultMessageBundle)`
`String` | `interpolate(String message, Validator validator, MessageInterpolator defaultInterpolator)` Interpolate a given validator message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultMessageInterpolator

    public DefaultMessageInterpolator()

Method Detail

### initialize

    public void initialize(ResourceBundle messageBundle,
                           ResourceBundle defaultMessageBundle)

### initialize

    public void initialize(java.lang.annotation.Annotation annotation,
                           MessageInterpolator defaultInterpolator)

### interpolate

    public String interpolate(String message,
                              Validator validator,
                              MessageInterpolator defaultInterpolator)

  Description copied from interface: `MessageInterpolator`
  Interpolate a given validator message. The implementation is free to delegate to the default interpolator or not.

  Specified by:
    `interpolate` in interface `MessageInterpolator`

### getAnnotationMessage

    public String getAnnotationMessage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD